
export default {
    pre: {
        color: ['#F25268', '#0062EF'],
        series: [
            {                                 
          
                type: 'pie',
                radius: [ '90%', '70%'],
                data: [
                    {
                        value: 0,
                        label: {
                            show: false,
                            position: 'center'
                        },
                        labelLine: {
                            show: false,
                            length: 0
                        },
                    },
                    {
                        value: 0,
                        label: {
                            show: false,
                            position: 'center'
                        },
                        labelLine: {
                            show: false
                        },
                    },
                    {
                        value: 0,
                        label: {
                            show: false,
                            position: 'center'
                        },
                        labelLine: {
                            show: false
                        },
                    },
                ]
            }
        ]
    },
    ShopDistribution: {
        color: ['#F25268', '#0062EF', '#7837D9'],
        tooltip: {
            trigger: 'item',
            formatter: '{a} <br/>{b}: {c} ({d}%)'
        },
        series: [
            {
                name: '直达',
                type: 'pie',
                selectedMode: 'single',
                radius: [ '90%', '70%'],
                data: [
                    {
                        value: 0,
                        name: '天猫旗舰店',
                        labelLine: {
                            show: true,
                            length: 20
                        },
                    },
                    {
                        value: 0,
                        name: '京东旗舰店',
                        labelLine: {
                            show: true
                        },
                    },
                    {
                        value: 0,
                        name: '京东自营店',
                        labelLine: {
                            show: true
                        },
                    },
                ]
            }
        ]
    },
    line: {
        color: ['rgb(1, 255, 233)', 'rgb(140, 5, 233)', 'rgb(221, 178, 55)'],
        // title: {
        //     text: '折线图堆叠'
        // },
        toolbox: {
            feature: {
                saveAsImage: {}
            }
        },
        tooltip: {
            trigger: 'axis',

         },
        legend: {
            right: 10,
            data: ['京东旗舰店', '京东自营店', '天猫旗舰店']
        },
        grid: {
            left: '3%',
            right: '4%',
            bottom: '3%',
            top: '3%',
            containLabel: true
        },
        xAxis: {
            type: 'category',
            axisLine: {
                lineStyle: {
                    color: '#333'
                }
            },
            axisLabel: {
                show : true,
                textStyle: {
                    color: 'rgb(31, 172, 255)'
                }
            },
            boundaryGap: false,
            data: ['一月', '二月', '三月', '四月', '五月', '六月', '七月', '八月', '九月', '十月', '十一月', '十二月']
        },
        yAxis: [
            {
                type: 'value',
                splitLine: {
                    lineStyle: {
                        color: 'rgb(17, 36, 94)'
                    }
                },
                axisLabel: {
                    show : true,
                    textStyle: {
                        color: 'rgb(31, 172, 255)'
                    }
                },
            }
        ],
        series: [
            {
                name: '京东旗舰店',
                type: 'line',
                smooth: true,
                areaStyle: {
                    color: 'rgb(11, 41, 104)'
                },
                data: [4111120, 132, 101, 134, 90, 230, 210]
            },
            {
                name: '京东自营店',
                type: 'line',
                smooth: true,
                data: [220, 132, 101, 134, 90, 230, 2222210]
            },
            {
                name: '天猫旗舰店',
                type: 'line',
                smooth: true,
                data: [120, 132, 1333301, 134, 90, 230, 210]
            },
        ]
    },
    columnar: {
        color: ['#3398DB'],
        tooltip: {
            trigger: 'axis',
            axisPointer: {            // 坐标轴指示器，坐标轴触发有效
                type: 'shadow'        // 默认为直线，可选为：'line' | 'shadow'
            }
        },
        grid: {
            left: '3%',
            right: '4%',
            bottom: '1%',
            top: '10%',
            containLabel: true
        },
        xAxis: [
            {
                type: 'category',
                data: ['周一', '周二', '周三', '周四', '周五', '周六', '周日'],
                axisTick: {
                    alignWithLabel: true
                },
                axisLine: {
                    show: true,
                    textStyle: {
                        color: 'rgb(31, 172, 255)'
                    }
                },
                axisLabel: {
                    show : true,
                    textStyle: {
                        color: 'rgb(31, 172, 255)'
                    }
                },
            }
        ],
        yAxis: [
            {
                type: 'value',
                splitLine: {
                    lineStyle: {
                        color: 'rgb(17, 36, 94)'
                    }
                },
                axisLabel: {
                    show : true,
                    textStyle: {
                        color: 'rgb(31, 172, 255)'
                    }
                },
            }
        ],
        series: [
            {
                name: 'Forest',
                type: 'bar',
                barGap: 0,
                barWidth: '20%',
                color: 'rgb(0, 157,239)',
                data: [10, 52, 200, 334, 390, 330, 220]
            },
            {
                name: 'Steppe',
                type: 'bar',
                barGap: 0,
                barWidth: '10%',
                color: 'rgb(120, 55, 217)',
                data: [101, 52, 100, 34, 190, 230, 120]
            },
            {
                name: 'Steppecc',
                type: 'bar',
                barGap: 0,
                barWidth: '10%',
                color: 'rgb(255, 3, 170)',
                data: [120, 520, 150, 24, 90, 30, 170]
            },
        ]
    },
    sellColumnar: {
        color: ['#3398DB'],
        tooltip: {
            trigger: 'axis',
            axisPointer: {            // 坐标轴指示器，坐标轴触发有效
                type: 'shadow'        // 默认为直线，可选为：'line' | 'shadow'
            }
        },
        grid: {
            left: '3%',
            right: '4%',
            bottom: '6%',
            top: '11%',
            containLabel: true
        },
        xAxis: [
            {
                type: 'category',
                data: ['逻辑狗3-7岁', '逻辑狗3-12岁', '春夏秋冬', '教材版3-4', '网络版4-5'],
                axisTick: {
                    alignWithLabel: true
                },
                axisLine: {
                    show: false
                },
                axisLabel: {
                    fontSize: 10,
                    interval: 0,
                    color: '#09ACEA'
                },
            }
        ],
        yAxis: [
            {
                type: 'value',
                axisLabel: {
                    color: '#09ACEA'
                },
                axisLine: {
                    show: false
                },
                splitLine: {
                    show: false
                }
            }
        ],
        series: [
            {
                name: '直接访问',
                type: 'bar',
                barWidth: '20%',
                showBackground: true,
                backgroundStyle: {
                    color: '#2D2A73'
                },
                data: [124, 72, 24, 16, 16]
            }
        ]
    }
}